/*!
    \file    sensor.h
    \brief   the header file of sensor

*/

#ifndef SENSOR_H
#define SENSOR_H

#include "datapath.h"


typedef struct
{
    uint16_t reg;
    uint8_t val;
}sensor_reg;


#define SEQUENCE_END        0xFFFF
#define SEQUENCE_WAIT_MS     0xFFFE

//void ov_init(void);
void imx415_init(void);
void imx412_init(void);
void imx662_init(void);

#endif  /* SENSOR_H */
